/*
 * http://www.wayforward.net/avGPS/libav/av_dir.h
 * Copyright(c) 2005, 2008 Wayforward LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
#ifndef AV_DIR_H
#define AV_DIR_H

#ifdef _WIN32
# define WIN32_LEAN_AND_MEAN
# include <windows.h>

#else
# include <dirent.h>

#endif

#include "av_str.h"

#ifdef __cplusplus
extern "C" {
#endif

	struct directory {

#ifdef _WIN32
		HANDLE hDir;
		WIN32_FIND_DATA wfd;

#else
		DIR *dp;
		struct dirent *de;

#endif
	};

	const tchar_t *
	dir_first(const tchar_t *fn, struct directory *pd);

	const tchar_t *
	dir_next(struct directory *pd);

	void
	dir_close(struct directory *pd);

#ifdef __cplusplus
}
#endif

#endif /* AV_DIR_H */

/*
 * Overrides for Emacs so that we follow Linux's tabbing style.
 * Emacs will notice this stuff at the end of the file and automatically
 * adjust the settings for this buffer only.  This must remain at the
 * end of the file.
 * ----------------------------------------------------------------------
 * Local Variables:
 * c-file-style: "linux"
 * End:
 */
