/**
 * http://www.wayforward.net/avGPS/libav/av_time.h
 * Copyright(c) 2005, 2008 Wayforward LLC
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
#ifndef AV_TIME_H
#define AV_TIME_H

#ifdef __cplusplus
extern "C" {
#endif

	struct av_date {
		unsigned short year; /* 2005... */
		unsigned char month; /* 1..12   */
		unsigned char day;   /* 1..31   */
	};

	struct av_time {
		unsigned char hour;  /* 0..23   */
		unsigned char min;   /* 0..59   */
		unsigned char sec;   /* 0..61 ? */

		unsigned usecs;      /* 0..999999 */
	};

	struct av_datetime {
		struct av_date date;
		struct av_time time;
	};

	void
	av_now(struct av_datetime *pdt);

#ifdef _MSC_EXTENSIONS
	/* WCE emulator cannot convert from unsigned __int64 to float */
	typedef __int64 av_usecs;

#else
	typedef long long av_usecs;

#endif

	av_usecs
	av_datetime_to_usecs(struct av_datetime dt);

	struct av_datetime
	av_usecs_to_datetime(av_usecs u);

	double
	av_julian(struct av_datetime dt);

#ifdef __cplusplus
}
#endif

#endif /* AV_TIME_H */

/*
 * Overrides for Emacs so that we follow Linux's tabbing style.
 * Emacs will notice this stuff at the end of the file and automatically
 * adjust the settings for this buffer only.  This must remain at the
 * end of the file.
 * ----------------------------------------------------------------------
 * Local Variables:
 * c-file-style: "linux"
 * End:
 */
