CHARTYPE=-DUNICODE

CFLAGS=-D_CRT_SECURE_NO_DEPRECATE $(CHARTYPE) -D_CRT_NON_CONFORMING_SWPRINTFS \
	/nologo /MD /Zi

all : libav.lib

LIBAV_OBJS = av_bsearch.obj av_comm_win.obj av_db.obj av_dir_win.obj \
	av_err.obj av_gps.obj av_lomap.obj av_mag.obj av_mem_win.obj \
	av_nav.obj av_path.obj av_str.obj av_thread_win.obj av_time_win.obj \
	crc32.obj wmm.obj

libav.lib : $(LIBAV_OBJS)
	lib /out:libav.lib /nologo $(LIBAV_OBJS)


clean :
	- del $(LIBAV_OBJS)
	- del libav.lib

av_bsearch.obj : av_bsearch.c av_str.h
av_comm_win.obj : av_comm_win.c
av_db.obj : av_db.c zlib.h zconf.h av_db.h av_nav.h av_str.h av_time.h av_dir.h
av_dir_win.obj : av_dir_win.c av_dir.h
av_err.obj : av_err.c
av_gps.obj : av_gps.c av_gps.h av_comm.h
av_lomap.obj : av_lomap.c av_map.h av_str.h av_mem.h
av_mag.obj : av_mag.c av_mag.h av_geo.h
av_mem_win.obj : av_mem_win.c
av_nav.obj : av_nav.c av_nav.h av_str.h
av_path.obj : av_path.c
av_str.obj : av_str.c
av_thread_win.obj : av_thread_win.c av_thread.h
av_time_win.obj : av_time_win.c
crc32.obj : crc32.c zutil.h zlib.h zconf.h crc32.h
wmm.obj : wmm.c av_geo.h
